Subject: [Fot] Seat Belts

From: Tony Drews via Fot <[email-masked]>
Date: Wed, 9 Dec 2020 13:56:36 -0600

The talk of helmets and suppliers reminded me to ask this question...  
My FIA seat belt 5 years is up, so I need to replace them.  I have a 5 
point harness.  Everything I'm seeing FIA or SFI is now a 6 point 
harness with two crotch straps.  Of course I have ONE hole in my seat 
and one eye bolt for the crotch strap currently.

How are folks doing the revised crotch strap situation?

Thanks, Tony Drews

_______________________________________________
[email-masked]

http://www.fot-racing.com

Donate: http://www.team.net/donate.html
Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot
Unsubscribe/Manage: http://autox.team.net/mailman/options/fot/[email-masked]